- hosts: apt_update_upgrade
  gather_facts: no

  vars_prompt:
  - name: "sudo_password"
    prompt: "Entrez le mot de passe sudo pour l'utilisateur"
    private: yes  # Le mot de passe sudo ne sera pas affiché lors de la saisie

  tasks:
  # 1. Mise à jour du cache des paquets
  - name: Mise à jour du cache des paquets
    apt:
      update_cache: yes
    become: yes
    become_method: sudo
    vars:
      ansible_become_pass: "{{ sudo_password }}"

  # 2. Mise à niveau des paquets
  - name: Mise à niveau des paquets
    apt:
      upgrade: dist
      autoremove: yes
      autoclean: yes
    become: yes
    become_method: sudo
    vars:
      ansible_become_pass: "{{ sudo_password }}"

